package com.ics.admin.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 政策banner对象 ics_policy_banner
 *
 * @author ics
 * @date 2021-03-23
 */
@Data
@TableName("ics_policy_banner")
public class PolicyBanner extends BaseEntity<PolicyBanner> {
    private static final long serialVersionUID = 1L;

    /**
     * banner名称
     */
    private String name;

    /**
     * banner简介（可选）
     */
    private String bannerDesc;

    /**
     * banner图路径
     */
    private String bannerImg;

    /**
     * 点击次数
     */
    private Long hits;

    /**
     * 是否上架
     */
    private Boolean isMarketable;

    /**
     * 上架时间
     */
    private Date marketableTime;

    /**
     * 落地页URI
     */
    private String uri;
}
