package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 楼层与设备关联对象 tb_detail_equipment
 * 
 * @author ics
 * @date 2024-03-27
 */
@Data
@TableName("tb_detail_equipment")
public class DetailEquipment extends BaseEntity<DetailEquipment> {
    private static final long serialVersionUID = 1L;

    /** 设备id */
    private Long equipmentId;

    /** 房间id */
    private Long buildingDetailId;

}
