package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 预约服务关联对象 tb_reservation_serve
 * 
 * @author chen
 * @date 2024-06-26
 */
@Data
@TableName("tb_reservation_serve")
public class ReservationServe extends BaseEntity<ReservationServe> {
    private static final long serialVersionUID = 1L;

    /** 服务id */
    private Long serveId;

    /** 预约记录id */
    private Long reservationId;

    /** 数量 */
    private Integer num;

    /** 园区ID */
    private Long parkId;

    @TableField(exist = false)
    private String serveName;

}
