package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 房间和设备关联对象 tb_room_equipment
 * 
 * @author chen
 * @date 2024-02-25
 */
@Data
@TableName("tb_room_equipment")
public class RoomEquipment extends BaseEntity<RoomEquipment> {
    private static final long serialVersionUID = 1L;

    /** 设备id */
    private Long equipmentId;

    /** 房间id */
    private Long roomId;

}
