package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * 房间物品关联对象 tb_room_item_by_room
 * 
 * @author chen
 * @date 2024-02-25
 */
@Data
@TableName("tb_room_item_by_room")
public class RoomItemByRoom extends BaseEntity<RoomItemByRoom> {
    private static final long serialVersionUID = 1L;

    /** 房间主体id */
    private Long roomContentId;

    /** 物品id */
    private Long itemId;

    /** 数量 */
    private Integer num;

    @TableField(exist = false)
    private List<Long> itemIds;

}
