package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 用户和小程序关联对象 tb_staff_open
 * 
 * @author ics
 * @date 2024-06-25
 */
@Data
@TableName("tb_staff_open")
public class StaffOpen extends BaseEntity<StaffOpen> {
    private static final long serialVersionUID = 1L;

    /** 企业id */
    private String openid;

    /** 用户id */
    private Long staffId;

    /** 园区ID */
    private Long parkId;

}
