package com.ics.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ics.admin.domain.Park;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 园区管理Mapper接口
 *
 * @author zzm
 * @date 2021-03-23
 */
@Mapper
public interface ParkMapper extends BaseMapper<Park> {

    /**
     * 查询园区列表
     * @param park
     * @return
     */
    List<Park> selectParkList(Park park);


    /**
     * 运营用户的园区显示
     * @return
     */
    Park selectByDeptId(Park park);


    /**
     * 查询园区列表
     * @param park
     * @return
     */
    List<Park> selectAllParkList(Park park);

}