package com.ics.admin.service.impl;

import com.ics.admin.domain.CustomerContractRoom;
import com.ics.admin.mapper.CustomerContractRoomMapper;
import com.ics.admin.service.ICustomerContractRoomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 客户房间合同Service业务层处理
 *
 * @author zzm
 * @date 2021-03-30
 */

@Service
public class CustomerContractRoomServiceImpl implements ICustomerContractRoomService {

    @Autowired
    private CustomerContractRoomMapper customerContractRoomMapper;

    @Override
    public int insertCustomerContractRoom(CustomerContractRoom customerContractRoom) {
        return customerContractRoomMapper.insert(customerContractRoom);
    }

    @Override
    public List<CustomerContractRoom> findByContractId(Long contractId) {
        return customerContractRoomMapper.findByContractId(contractId);
    }
}
