package com.ics.system.domain;

import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

import javax.persistence.Table;
import java.util.Date;

/**
 * 系统访问记录表 sys_login_info
 *
 */
@Data
@Table(name = "sys_login_info")
public class LoginInfo extends BaseEntity<BaseEntity> {
    private static final long serialVersionUID = 1L;

    /**
     * 用户账号
     */
    private String loginName;

    /**
     * 登录状态 0成功 1失败
     */
    private String status;

    /**
     * 登录IP地址
     */
    private String ipaddr;

    /**
     * 登录地点
     */
    private String loginLocation;

    /**
     * 浏览器类型
     */
    private String browser;

    /**
     * 操作系统
     */
    private String os;

    /**
     * 提示消息
     */
    private String msg;

    /**
     * 访问时间
     */
    private Date loginTime;

}