package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 服务对象 tb_room_serve
 * 
 * @author chen
 * @date 2024-02-25
 */
@Data
@TableName("tb_room_serve")
public class RoomServe extends BaseEntity<RoomServe> {
    private static final long serialVersionUID = 1L;

    /** 服务名称 */
    private String serveName;

    /** 服务类型（会务服务、其他服务） */
    private Integer serveType;

    /** 服务时间30分钟起步 */
    private String serveTime;

    private String pic;

    private String content;

    private String money;

    /** 备注 */
    private String remake;

}
