package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.RequiredArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 用户设备关联对象 tb_user_equipment
 * 
 * @author chen
 * @date 2024-02-25
 */
@Data
@TableName("tb_user_equipment")
@RequiredArgsConstructor
public class UserEquipment extends BaseEntity<UserEquipment> {
    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long userId;

    @TableField(exist = false)
    private Long roomId;

    /** 设备id */
    private Long equipmentId;

    private Date startTime;

    private Date endDate;

    @TableField(exist = false)
    private String roomName;

    @TableField(exist = false)
    private String equipmentName;
    @TableField(exist = false)
    private String equipmentStatus;

    @TableField(exist = false)
    private List<Long> userIds;

}
