package com.ics.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ics.admin.domain.ServiceSupplier;
import org.apache.ibatis.annotations.Mapper;

/**
 * 供应商管理Mapper接口
 * 
 * @author ics
 * @date 2021-03-26
 */
@Mapper
public interface ServiceSupplierMapper extends BaseMapper<ServiceSupplier> {

    /**
     * 查询供应商管理
     *
     * @param id 供应商管理ID
     * @return 供应商管理
     */
    ServiceSupplier selectServiceSupplierById(Long id);
}
