package com.ics.controller.mobile.pay.wx.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class WxChatBasePayDto {

    /**
     * 商品描述
     */
    private String description;

    /**
     * 商家订单号，对应 out_trade_no (32)
     */
    private String orderId;

    /**
     * 订单金额
     */
    private BigDecimal price;

    /**
     * 回调地址
     */
    private String notify;

    /**
     * 支付用户的openid
     */
    private String openId;

}



